DistrictsDistrictidBuying signals
Get district buying signals
Get contracts, pain points, and funding signals for a district. Requires the district to be unlocked. **Free (0 credits) once unlocked.**
Get contracts, pain points, and funding signals for a district. Requires the district to be unlocked. Free (0 credits) once unlocked.
AuthorizationBearer <token>
API key (sk_live_... prefix). Generate keys in the UI under Settings > API Keys, then send it as Authorization: Bearer sk_live_...
In: header
Path Parameters
districtId*string
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://loading/api/v1/districts/497f6eca-6276-4993-bfeb-53cbbbba6f08/buying-signals"{
"contracts": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"entity_type": "district",
"entity_id": "550e8400-e29b-41d4-a716-446655440000",
"vendor_id": "550e8400-e29b-41d4-a716-446655440000",
"vendor_name_raw": "string",
"expires_at": "string",
"renewal_mentioned": true,
"dissatisfaction": true,
"context": "string",
"source_url": "string",
"batch_id": "550e8400-e29b-41d4-a716-446655440000",
"status": "active",
"created_at": "string",
"vendor": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"canonical_name": "string",
"website": "string",
"description": "string",
"logo_url": "string",
"category": "sis",
"aliases": [
"string"
],
"is_verified": true,
"verified_at": "string",
"merged_into_id": "550e8400-e29b-41d4-a716-446655440000",
"created_at": "string"
}
}
],
"painPoints": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"entity_type": "district",
"entity_id": "550e8400-e29b-41d4-a716-446655440000",
"category": "staffing",
"description": "string",
"severity": "low",
"source_url": "string",
"batch_id": "550e8400-e29b-41d4-a716-446655440000",
"created_at": "string"
}
],
"funding": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"entity_type": "district",
"entity_id": "550e8400-e29b-41d4-a716-446655440000",
"source": "esser",
"source_name": "string",
"amount": 0,
"deadline": "string",
"context": "string",
"source_url": "string",
"batch_id": "550e8400-e29b-41d4-a716-446655440000",
"created_at": "string"
}
]
}{
"error": "string",
"message": "string",
"statusCode": -9007199254740991
}Empty